1

I was trying to install another version of x-server, it needed lots of packages including mesa and it needed a lot of, too. I installed over 15 packages... I found every package by googling and installed without any problems.

But I can not found "libtizcore" package. I am stuck at ./configure command.

Package libtizcore was not found in the pkg-config search path. Perhaps you should add the directory containing `libtizcore.pc' to the PKG_CONFIG_PATH environment variable No package 'libtizcore' found checking for RADEON... yes configure: error: --enable-llvm is required when building r300

2 Answers 2

1

You can ignore the message about "libtizcore".

The ./configure command only stopped because it was going to create a MakeFile for the r300 driver, but you didn't have the --enable-llvm checked, which is needed to make it.

If you don't have llvm package installed (it says something about a llvm-config file being required) it means you don't have llvm installed.

A simple sudo apt-get install llvm will fix that.

Then rerun with the --enable-llvm flag on it:

sudo ./configure --enable-llvm

0

Needs 3.9 version of llvm.

Try this.

# apt install llvm-3.9
# ln -s /usr/bin/llvm-config-3.9 /usr/bin/llvm-config
# ./configure --enable-llvm

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .